package headfirst;

import java.rmi.RemoteException;

import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;

public @Stateless class AdviceBean implements SessionBean {
	private static final long serialVersionUID = 8327875151509843380L;

	@Override
	public void ejbActivate() throws EJBException, RemoteException {
		System.out.println("ejbActivate");
	}

	@Override
	public void ejbPassivate() throws EJBException, RemoteException {
		System.out.println("ejbPassivate");
	}

	@Override
	public void ejbRemove() throws EJBException, RemoteException {
		System.out.println("ejbRemove");
	}

	@Override
	public void setSessionContext(SessionContext arg0) throws EJBException, RemoteException {
		System.out.println("setSessionContext");
	}
	
	public void ejbCreate(){
		System.out.println("in ejb create");
	}

	public String getAdvice(){
		return "这是ejb advice...终于调用成功了!!!!^_^!!!!";
	}

}
