package test;

import headfirst.Advice;
import headfirst.AdviceHome;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class AdviceClient {

	/**
	 * @param args
	 */
	@SuppressWarnings({ "rawtypes", "unchecked" })
	public static void main(String[] args) throws Exception {
		 Hashtable env = new Hashtable();
	        env.put(Context.INITIAL_CONTEXT_FACTORY,"org.jnp.interfaces.NamingContextFactory");
	        env.put(Context.PROVIDER_URL, "jnp://localhost:1099");
	        env.put("java.naming.factory.url.pkgs","org.jboss.naming:org.jnp.interfaces");

	        Context ctx = new InitialContext(env);
	        Object obj = ctx.lookup("Advice");
	        AdviceHome home = (AdviceHome) PortableRemoteObject.narrow(obj,
	                AdviceHome.class);
	        Advice hello = home.create();
	        System.out.println(hello.getAdvice());
	        hello.remove();
	}

}
